/**
 * @addtogroup DevelopingApplications
 * @{
 */

/**
 * @defgroup CompileAndRunInCurrentProcess CompileAndRunInCurrentProcess.cc
 * Example: Compile a composition and run it in the current process
 *
 * @include example/api/CompileAndRunInCurrentProcess/CompileAndRunInCurrentProcess.cc
 */

/**
 * @defgroup CompileAndRunInNewProcess CompileAndRunInNewProcess.cc
 * Example: Compile a composition and run it in a new process
 *
 * @include example/api/CompileAndRunInNewProcess/CompileAndRunInNewProcess.cc
 */

/**
 * @defgroup ListPublishedPorts ListPublishedPorts.cc
 * Example: List a composition's published input and output ports
 *
 * @include example/api/ListPublishedPorts/ListPublishedPorts.cc
 */

/**
 * @defgroup RunImageFilterCocoa RunImageFilter (Cocoa)
 * Example: Set up a GL context using Cocoa and run a Vuo image filter.
 *
 * @include example/api/RunImageFilter-Cocoa/RunImageFilterView.mm
 */

/**
 * @defgroup RunImageFilterGlfw RunImageFilter (GLFW)
 * Example: Set up a GL context using GLFW and run a Vuo image filter.
 *
 * @include example/api/RunImageFilter-GLFW/RunImageFilter.cc
 */

/**
 * @defgroup RunImageFilterQt RunImageFilter (Qt)
 * Example: Set up a GL context using Qt and run a Vuo image filter.
 *
 * @include example/api/RunImageFilter-Qt/GLWidget.cc
 */

/**
 * @}
 */
