@mainpage Vuo API Documentation

Vuo is a realtime visual programming environment designed to be both incredibly fast and easy to use. There are many ways for the Vuo community to [add on to Vuo](https://vuo.org/extend) and [add Vuo into other applications](https://vuo.org/embed). This documentation describes special ways that (non-visual) programmers can work with Vuo. 

Vuo comes with several resources for programmers: 

   - An SDK, which includes: 
      - The Vuo framework (including nodes, compiler, renderer, and runner)
      - The Vuo command-line tools
   - Source code for everything in the SDK
   - Example Qt projects for creating add-ons to Vuo
   - Example Qt projects for using Vuo inside another application
   - This API documentation

Before you read this API documentation, we recommend that you start by reading the [Vuo Manual](http://vuo.org/support) to become familiar with how Vuo works. If you have questions about programming with Vuo, you can find help on the [Vuo Support](https://vuo.org/support) page. 

Here are some good starting points in this API documentation: 

   - If you'd like to create nodes for Vuo, see @ref DevelopingNodeClassesTypes.
   - If you'd like to create add-ons for the Vuo Editor, see @ref DevelopingInputEditors.
   - If you'd like to use Vuo inside another application, see @ref DevelopingApplications. 
