/**
 * @file
 * vuo.color.make.rgb node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

VuoModuleDetails({
					 "name" : "Make RGB Color",
					 "description" : "Creates a color from RGBA (red, green, blue, alpha) components.",
					 "keywords" : [],
					 "version" : "1.0.0",
					 "node": {
						 "isInterface" : false
					 }
				 });

void nodeEvent
(
		VuoInputData(VuoReal, {"default":0,"suggestedMin":0,"suggestedMax":1}) red,
		VuoInputData(VuoReal, {"default":0,"suggestedMin":0,"suggestedMax":1}) green,
		VuoInputData(VuoReal, {"default":0,"suggestedMin":0,"suggestedMax":1}) blue,
		VuoInputData(VuoReal, {"default":1,"suggestedMin":0,"suggestedMax":1}) alpha,
		VuoOutputData(VuoColor) color
)
{
	*color = VuoColor_makeWithRGBA(red, green, blue, alpha);
}
