/**
 * @file
 * vuo.logic.negate node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

VuoModuleDetails({
					 "name" : "Negate",
					 "description" : "Outputs the inverse of passed value.  Ex: True -> Negate -> False.",
					 "keywords" : [ "boolean", "not", "!", "flip", "logic", "gate", "gates", "inverse" ],
					 "version" : "1.0.0",
					 "node": {
						 "isInterface" : false
					 }
				 });

void nodeEvent
(
		VuoInputData(VuoBoolean, {"default":false}) value,
		VuoOutputData(VuoBoolean) notValue
 )
{
	*notValue = !value;
}
