/**
 * @file
 * vuo.math.min.real node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"
#include <float.h>

VuoModuleDetails({
					 "name" : "Find Minimum",
					 "description" : "Outputs the smallest number in the list.  If the list is empty, outputs 0.",
					 "keywords" : [ "<", "smaller", "smallest", "lower", "lowest", "least", "less", "limit", "bound", "range" ],
					 "version" : "1.0.0",
					 "node": {
						 "isInterface" : false
					 }
				 });

void nodeEvent
(
		VuoInputData(VuoList_VuoReal) terms,
		VuoOutputData(VuoReal) min
)
{
	unsigned long termsCount = VuoListGetCount_VuoReal(terms);

	if (!termsCount)
	{
		*min = 0;
		return;
	}

	*min = DBL_MAX;
	for (unsigned long i = 1; i <= termsCount; ++i)
	{
		double value = VuoListGetValueAtIndex_VuoReal(terms, i);
		if (value < *min)
			*min = value;
	}
}
