/**
 * @file
 * vuo.math.multiply.point4d node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

VuoModuleDetails({
					 "name" : "Multiply",
					 "description" : "Multiplies the terms and outputs their product. If there are no terms, outputs (0,0,0,0).",
					 "keywords" : [ "product", "*" ],
					 "version" : "1.0.0",
					 "node": {
						 "isInterface" : false
					 }
				 });

void nodeEvent
(
		VuoInputData(VuoList_VuoPoint4d) terms,
		VuoOutputData(VuoPoint4d) product
)
{
	unsigned long termsCount = VuoListGetCount_VuoPoint4d(terms);
	if (termsCount == 0)
	{
		*product = VuoPoint4d_make(0,0,0,0);
	}
	else
	{
		*product = VuoPoint4d_make(1,1,1,1);
		for (unsigned long i = 1; i <= termsCount; ++i)
			*product = VuoPoint4d_multiply4d(*product, VuoListGetValueAtIndex_VuoPoint4d(terms, i));
	}
}
