/**
 * @file
 * vuo.math.multiply.point4d.quaternion node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

VuoModuleDetails({
					 "name" : "Multiply Quaternion",
					 "description" : "Outputs a composite quaternion formed by performing the rotations described by the input quaternions (rotation of first quaternion followed by rotation of second quaternion, etc.). If there are no inputs, outputs the identity rotation.",
					 "keywords" : [ "composite", "product", "*" ],
					 "version" : "1.0.0",
					 "node": {
						 "isInterface" : false
					 }
				 });

void nodeEvent
(
		VuoInputData(VuoList_VuoPoint4d) terms,
		VuoOutputData(VuoPoint4d) composite
)
{
	*composite = VuoPoint4d_make(0,0,0,1);

	unsigned long quaternionsCount = VuoListGetCount_VuoPoint4d(terms);
	for (unsigned long i = 1; i <= quaternionsCount; ++i)
		*composite = VuoTransform_quaternionComposite(*composite, VuoListGetValueAtIndex_VuoPoint4d(terms, i));
}
