/**
 * @file
 * vuo.midi.make.controller node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

VuoModuleDetails({
					 "name" : "Make MIDI Controller",
					 "description" : "Creates a MIDI controller event from a channel, controller number, and value.",
					 "keywords" : [ "CC", "custom controller" ],
					 "version" : "1.0.0",
					 "node": {
						 "isInterface" : false
					 }
				 });

void nodeEvent
(
		VuoInputData(VuoInteger, {"default":1,"suggestedMin":1,"suggestedMax":16}) channel,
		VuoInputData(VuoInteger, {"default":1,"suggestedMin":0,"suggestedMax":127}) controllerNumber,
		VuoInputData(VuoInteger, {"default":60,"suggestedMin":0,"suggestedMax":127}) value,
		VuoOutputData(VuoMidiController) controller
)
{
	*controller = VuoMidiController_make(channel,controllerNumber,value);
}
