/**
 * @file
 * vuo.midi.make.note node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

VuoModuleDetails({
					 "name" : "Make MIDI Note",
					 "description" : "Creates a MIDI note event from channel, pitch, and velocity values.",
					 "keywords" : [ ],
					 "version" : "1.0.0",
					 "node": {
						 "isInterface" : false
					 }
				 });

void nodeEvent
(
		VuoInputData(VuoInteger, {"default":1,"suggestedMin":1,"suggestedMax":16}) channel,
		VuoInputData(VuoBoolean, {"default":true}) isNoteOn,
		VuoInputData(VuoInteger, {"default":127,"suggestedMin":0,"suggestedMax":127}) velocity,
		VuoInputData(VuoInteger, {"default":60,"suggestedMin":0,"suggestedMax":127}) noteNumber,
		VuoOutputData(VuoMidiNote) note
)
{
	*note = VuoMidiNote_make(channel,isNoteOn,velocity,noteNumber);
}
