/**
 * @file
 * vuo.scene.combine node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

VuoModuleDetails({
					 "name" : "Combine 3D Objects",
					 "description" : "Combines multiple 3D scene objects, and applies a transformation to the entire group of objects.",
					 "keywords" : [ "sum" ],
					 "version" : "1.0.0",
					 "node": {
						 "isInterface" : false
					 }
				 });

void nodeEvent
(
		VuoInputData(VuoTransform) transform,
		VuoInputData(VuoList_VuoSceneObject) childObjects,
		VuoOutputData(VuoSceneObject) object
)
{
	*object = VuoSceneObject_make(
				NULL,
				NULL,
				transform,
				childObjects
			);
}
