/**
 * @file
 * vuo.select.in.2.VuoPoint3d node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

VuoModuleDetails({
					 "name" : "Select Input",
					 "description" : "When 'refresh' or the input port selected by 'which' is pushed, sends the data from the selected input port and the event to 'out'.",
					 "keywords" : [ "switch", "multiplexer", "if", "else", "case" ],
					 "version" : "1.0.0",
					 "node": {
						 "isInterface" : false
					 }
				 });

void nodeEvent
(
		VuoInputData(VuoInteger, {"default":1,"suggestedMin":1,"suggestedMax":2}) which,
		VuoInputConductor(VuoPortNeverConducts,which) whichEvent,
		VuoInputData(VuoPoint3d, {"default":{"x":0,"y":0,"z":0}}) option1,
		VuoInputConductor(VuoPortMayConduct,option1) option1Event,
		VuoInputData(VuoPoint3d, {"default":{"x":0,"y":0,"z":0}}) option2,
		VuoInputConductor(VuoPortMayConduct,option2) option2Event,
		VuoOutputData(VuoPoint3d) out,
		VuoOutputConductor(out) outEvent
)
{
	if (which <= 1)
	{
		*out = option1;
		*outEvent = option1Event;
	}
	else
	{
		*out = option2;
		*outEvent = option2Event;
	}
}
