/**
 * @file
 * vuo.select.in.2.event node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

VuoModuleDetails({
					 "name" : "Select Input",
					 "description" : "When 'refresh' or the input port selected by 'which' is pushed, sends the event to 'out'.",
					 "keywords" : [ "switch", "multiplexer", "if", "else", "case" ],
					 "version" : "1.0.0",
					 "node": {
						 "isInterface" : false
					 }
				 });

void nodeEvent
(
		VuoInputData(VuoInteger, {"default":1,"suggestedMin":1,"suggestedMax":2}) which,
		VuoInputConductor(VuoPortNeverConducts,which) whichEvent,
		VuoInputConductor(VuoPortMayConduct,) option1,
		VuoInputConductor(VuoPortMayConduct,) option2,
		VuoOutputConductor() out
)
{
	if (which <= 1)
		*out = option1;
	else
		*out = option2;
}
