/**
 * @file
 * vuo.select.in.VuoText node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

VuoModuleDetails({
					 "name" : "Select Input",
					 "description" : "When 'refresh' or the input port selected by 'which' is pushed, sends the data from the selected input port and the event to 'out'.",
					 "keywords" : [ "switch", "multiplexer", "if", "else", "case" ],
					 "version" : "1.0.0",
					 "node": {
						 "isInterface" : false
					 }
				 });

void nodeEvent
(
		VuoInputData(VuoBoolean, {"default":false}) which,
		VuoInputConductor(VuoPortNeverConducts,which) whichEvent,
		VuoInputData(VuoText, {"default":""}) falseOption,
		VuoInputConductor(VuoPortMayConduct,falseOption) falseOptionEvent,
		VuoInputData(VuoText, {"default":""}) trueOption,
		VuoInputConductor(VuoPortMayConduct,trueOption) trueOptionEvent,
		VuoOutputData(VuoText) out,
		VuoOutputConductor(out) outEvent
)
{
	if (which == false)
	{
		*out = falseOption;
		*outEvent = falseOptionEvent;
	}
	else
	{
		*out = trueOption;
		*outEvent = trueOptionEvent;
	}
}
