/**
 * @file
 * vuo.select.latest.2.VuoImage node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

VuoModuleDetails({
					 "name" : "Select Latest",
					 "description" : "Outputs whichever of 'option1' and 'option2' most recently received an event, or 'option1' if both received an event at the same time or neither has received an event.",
					 "keywords" : [ "coalesce", "join", "combine", "recent", "current" ],
					 "version" : "1.0.0",
					 "node": {
						 "isInterface" : false
					 }
				 });

void nodeEvent
(
		VuoInputData(VuoImage) option1,
		VuoInputConductor(VuoPortAlwaysConducts,option1) option1Event,
		VuoInputData(VuoImage) option2,
		VuoInputConductor(VuoPortAlwaysConducts,option2) option2Event,
		VuoOutputData(VuoImage) latest
)
{
	if (option2Event && ! option1Event)
		*latest = option2;
	else
		*latest = option1;
}
