/**
 * @file
 * vuo.select.out.sceneVertices node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

VuoModuleDetails({
					 "name" : "Select Output",
					 "description" : "Routes the data and event from 'in' to the output port corresponding to 'which'.",
					 "keywords" : [ "switch", "demultiplexer", "if", "else", "case" ],
					 "version" : "1.0.0",
					 "node": {
						 "isInterface" : false
					 }
				 });

void nodeEvent
(
		VuoInputData(VuoInteger, {"default":1,"suggestedMin":1,"suggestedMax":2}) which,
		VuoInputConductor(VuoPortNeverConducts,which) whichEvent,
		VuoInputData(VuoVertices) in,
		VuoInputConductor(VuoPortMayConduct,in) inEvent,
		VuoOutputData(VuoVertices) option1,
		VuoOutputConductor(option1) option1Event,
		VuoOutputData(VuoVertices) option2,
		VuoOutputConductor(option2) option2Event
)
{
	if (which <= 1)
	{
		*option1 = in;
		*option1Event = true;
	}
	else
	{
		*option2 = in;
		*option2Event = true;
	}
}
