/**
 * @file
 * vuo.select.out.2.event node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

VuoModuleDetails({
					 "name" : "Select Output",
					 "description" : "Routes the event from 'in' to the output port corresponding to 'which'.",
					 "keywords" : [ "switch", "demultiplexer", "if", "else", "case" ],
					 "version" : "1.0.0",
					 "node": {
						 "isInterface" : false
					 }
				 });

void nodeEvent
(
		VuoInputData(VuoInteger, {"default":1,"suggestedMin":1,"suggestedMax":2}) which,
		VuoInputConductor(VuoPortNeverConducts,which) whichEvent,
		VuoInputConductor(VuoPortMayConduct,) in,
		VuoOutputConductor() option1,
		VuoOutputConductor() option2
)
{
	if (which <= 1)
		*option1 = true;
	else
		*option2 = true;
}
