/**
 * @file
 * vuo.select.out.pointed node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

VuoModuleDetails({
					 "name" : "Select Output",
					 "description" : "Routes the data and event from 'in' to the output port corresponding to 'which'.",
					 "keywords" : [ "switch", "demultiplexer", "if", "else", "case" ],
					 "version" : "1.0.0",
					 "node": {
						 "isInterface" : false
					 }
				 });

void nodeEvent
(
		VuoInputData(VuoBoolean, {"default":false}) which,
		VuoInputConductor(VuoPortNeverConducts,which) whichEvent,
		VuoInputData(VuoPoint2d, {"default":{"x":0,"y":0}}) in,
		VuoInputConductor(VuoPortMayConduct,in) inEvent,
		VuoOutputData(VuoPoint2d) falseOption,
		VuoOutputConductor(falseOption) falseOptionEvent,
		VuoOutputData(VuoPoint2d) trueOption,
		VuoOutputConductor(trueOption) trueOptionEvent
)
{
	if (which == false)
	{
		*falseOption = in;
		*falseOptionEvent = true;
	}
	else
	{
		*trueOption = in;
		*trueOptionEvent = true;
	}
}
