/**
 * @file
 * vuo.shader.make.image node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"
#include "VuoGlContext.h"

/// @todo After we drop 10.6 support, switch back to gl3.h.
//#include <OpenGL/gl3.h>
#include <OpenGL/gl.h>

VuoModuleDetails({
					 "name" : "Shade with Image",
					 "description" : "Creates a graphics shader that renders objects with an image (ignoring lighting).",
					 "keywords" : [ "draw", "opengl", "glsl", "scenegraph", "graphics", "texture" ],
					 "version" : "1.0.0",
					 "dependencies" : [
						 "VuoGlContext"
					 ],
					 "node": {
						 "isInterface" : false
					 }
				 });

void nodeEvent
(
		VuoInputData(VuoImage) image,
		VuoOutputData(VuoShader) shader
)
{
	*shader = VuoShader_makeImageShader();

	if (image)
		VuoShader_addTexture(*shader, image, "texture");
}
