﻿/**
 * @file
 * vuo.text.cut node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

VuoModuleDetails({
					 "name" : "Cut",
					 "description" : "Outputs the piece of `text` beginning at character `startIndex` with length `characterCount`, interpreted in terms of logical Unicode characters (not raw bytes).",
					 "keywords" : [ "substring" ],
					 "version" : "1.0.0",
					 "node": {
						 "isInterface" : false
					 }
				 });

void nodeEvent
(
		VuoInputData(VuoText, {"default":""}) text,
		VuoInputData(VuoInteger, {"default":0,"suggestedMin":0}) startIndex,
		VuoInputData(VuoInteger, {"default":0,"suggestedMin":0}) characterCount,
		VuoOutputData(VuoText) partialText
)
{
	*partialText = VuoText_substring(text, startIndex, characterCount);
}
