/**
 * @file
 * vuo.transform.make.quaternion node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

VuoModuleDetails({
					 "name" : "Make Quaternion Transform",
					 "description" : "Creates a Transform from transformation operations: translation, rotation (quaternion), scale.",
					 "keywords" : [ ],
					 "version" : "1.0.0",
					 "node": {
						 "isInterface" : false
					 }
				 });

void nodeEvent
(
		VuoInputData(VuoPoint3d, {"default":{"x":0,"y":0,"z":0}}) translation,
		VuoInputData(VuoPoint4d, {"default":{"x":0,"y":0,"z":0,"w":1}}) rotation,
		VuoInputData(VuoPoint3d, {"default":{"x":1,"y":1,"z":1}}) scale,
		VuoOutputData(VuoTransform) transform
)
{
	*transform = VuoTransform_makeQuaternion(translation, rotation, scale);
}
