/**
 * @file
 * vuo.type.boolean.integer node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

VuoModuleDetails({
					 "name" : "Convert Boolean to Integer",
					 "description" : "Converts a boolean to an integer value.  \"False\" is converted to 0, and \"true\" is converted to 1.",
					 "keywords" : [ ],
					 "version" : "1.0.0",
					 "node": {
						 "isInterface" : false
					 }
				 });

void nodeEvent
(
	VuoInputData(VuoBoolean, {"default":false}) boolean,
	VuoOutputData(VuoInteger) integer
)
{
	*integer = boolean ? 1 : 0;
}
