/**
 * @file
 * vuo.type.point4d.point2d node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

VuoModuleDetails({
					 "name" : "Convert 4D Point to 2D Point",
					 "description" : "Converts a 4D point to a 2D Point, preserving x and y.",
					 "keywords" : [ ],
					 "version" : "1.0.0",
					 "node": {
						 "isInterface" : false
					 }
				 });

void nodeEvent
(
		VuoInputData(VuoPoint4d, {"default":{"x":0, "y":0, "z":0, "w":0}}) xy,
		VuoOutputData(VuoPoint2d) point2d
)
{
	*point2d = VuoPoint2d_make(xy.x, xy.y);
}
