/**
 * @file
 * VuoRendererSignaler implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code is proprietary, and may not be redistributed.
 * For more information, see http://vuo.org/license.
 */

#include "VuoRendererSignaler.hh"

/**
 * Creates a signaler.
 */
VuoRendererSignaler::VuoRendererSignaler(void) :
	QObject()
{
}

/**
 * Emits a @c nodesMoved signal.
 */
void VuoRendererSignaler::signalNodesMoved(set<VuoRendererNode *> nodes, qreal dx, qreal dy, bool movedByDragging)
{
	emit nodesMoved(nodes, dx, dy, movedByDragging);
}

/**
 * Emits a @c inputEditorRequested signal.
 */
void VuoRendererSignaler::signalInputEditorRequested(VuoRendererPort *port)
{
	emit inputEditorRequested(port);
}

/**
 * Emits a @c nodeTitleEditorRequested signal.
 */
void VuoRendererSignaler::signalNodeTitleEditorRequested(VuoRendererNode *node)
{
	emit nodeTitleEditorRequested(node);
}

/**
 * Emits a @c inputPortCountAdjustmentRequested signal.
 */
void VuoRendererSignaler::signalInputPortCountAdjustmentRequested(VuoRendererNode *node, int inputPortCountDelta, bool requestedByDragging)
{
	emit inputPortCountAdjustmentRequested(node, inputPortCountDelta, requestedByDragging);
}

/**
* Emits a @c dragStickinessDisabled signal.
*/
void VuoRendererSignaler::signalDisableDragStickiness(bool disable)
{
	emit dragStickinessDisableRequested(disable);
}
